      SUBROUTINE RSMHLP(ITTY,KNDMSG,LTRBFR,LMTBFR,MAXBFR,IVIDEO)
C     RENBR(/RESUME, ISSUE INSTRUCTIONS)/M:99999
C
C     DONALD BARTH, YALE SCHOOL OF MANAGEMENT
C
C     THIS ROUTINE IS PART OF THE STUDENT RESUME SYSTEM
C
C     ITTY   = UNIT NUMBER FOR READING AND WRITING TO TERMINAL
C     KNDMSG = SELECTS WHICH MESSAGE IS TO BE ISSUED
C     LTRBFR = RETURNED WITH COMMAND TYPED BY USER IF THE
C              MESSAGE IS LONGER THAN 1 SCREEN.
C     LMTBFR = MAXIMUM NUMBER OF CHARACTERS IN COMMAND TYPED
C              BY THE USER
C     MAXBFR = RETURNED WITH NUMBER OF CHARACTERS TYPED BY THE
C              USER IF MESSAGE IS LONGER THAN 1 SCREEN
C     IVIDEO = SELECTS WHETHER SCREEN IS CLEARED
C            = -1, PAPER OUTPUT, DO NOT ISSUE FORM FEEDS
C            = 0, SCROLLING VIDEO, DO NOT ISSUE FORM FEEDS
C            = 1, CLEAR SCREEN AT START AND IN MIDDLE OF LONG
C              MESSAGES.
C            = 2, DO NOT CLEAR SCREEN AT START, BUT DO CLEAR
C              SCREEN IN MIDDLE OF LONG MESSAGES.
C
      DIMENSION LTRBFR(LMTBFR)
    1 FORMAT(1X/' (press RETURN to continue)',$)
    2 FORMAT(1A1)
    3 FORMAT(1X)
      MAXBFR=0
C
C     INDICATE IF ISSUE FORM FEEDS AFTER FULL SCREENS
      IF(IVIDEO.LE.0)GO TO 8
C
C     IF ON VIDEO TERMINAL AND ARE GOING TO ISSUE MULTIPLE
C     PAGES, THEN ISSUE FORM FEED THAT PUTS NEXT TYPING ON
C     TOP LINE OF THE SCREEN.
      IF(IVIDEO.EQ.1)CALL RSMWIP(ITTY)
    8 CONTINUE
C
C     TRANSFER TO WRITE STATEMENT FOR DESIRED MESSAGE
      GO TO(
     1  100, 200, 300, 400, 500, 600, 700, 800, 900,   6,
     2 1100,1200,1300,   6,   6,   6,1700,   6,   6,   6,
     3 2100,2200,2300,2400,2500,2600,2700,2800,2900,3000,
     4 3100,3200,3300,3400,3500,3600,3700,3800,3900,4000,
     5 4100,4200,4300,4400,4500,4600,4700,4800,4900,5000,
     6 5100,5200,5300,5400,5500,5600,5700,5800,5900,6000,
     7 6100,6200,6300,6400,6500,6600,6700,6800,6900,7000,
     8 7100,7200,7300),KNDMSG
      GO TO 6
C
C     ***********************
C     *                     *
C     *  THE HELP MESSAGES  *
C     *                     *
C     ***********************
C
C     COMPLETE DESCRIPTION
      GO TO 5
  100 CONTINUE
      WRITE(ITTY,101)
  101 FORMAT(42H This program is a very simple editor for ,
     139Hresumes.  You can run  the  program  as/7H many  ,
     249Htimes  as  are necessary to type in and revise th,
     325He contents of the resume./20H The program is mean,
     449Ht to be usable even if you do not have any previo,
     512Hus  computer/33H experience.  If you do not know ,
     648Hwhat to do at any point, the program will supply/
     749H instructions if you will press the ? key without,
     832H typing anything else, and  then/13H press the RE,
     99HTURN key./)
      WRITE(ITTY,102)
  102 FORMAT(42H The resume is divided into sections, with,
     139H lines being ruled between these.   You/7H will  ,
     249Hfirst  be  asked  to specify the information to b,
     325He in the name and address/20H sections and in the,
     449H education section.  In the name and  address  se,
     512Hctions,  you/33H will  be  asked  to  specify  sp,
     648Hecific  information.   The  initial lines of the/
     749H education section are standardized, although you,
     832H will be  able  to  change  them)
      WRITE(ITTY,103)
  103 FORMAT(42H later.   After showing the standardized p,
     139Hortion to you, the program will ask for/7H you to,
     249H supply any additional information which you want,
     325H to have in the education/20H section.   You  wil,
     449Hl  not be asked for any specific information in t,
     512Hhe education/33H section or in any later sections,
     648H, the information which you supply is up to you.//
     749H After you have finished with the education secti,
     832Hon,  you  will  be  asked  "What)
      WRITE(ITTY,104)
  104 FORMAT(42H next?" You will repeated return to this q,
     139Huestion when you have finished entering/7H or mod,
     249Hifying portions of your resume.  You can enter th,
     325He text of a  new  section/20H by  typing  the  wo,
     449Hrd  CREATE  in response to the "What next?" reque,
     512Hst, and then/33H naming the new section when aske,
     648Hd to do so.  You can name  the  section  in  any)
      IF(IVIDEO.LT.0)GO TO 105
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  105 CONTINUE
      WRITE(ITTY,106)
  106 FORMAT(42H manner  you choose.  The program will the,
     139Hn ask you to type the text to be in the/7H new se,
     249Hction.  The text within each section will be shif,
     325Hted to the right  of  the/20H left  edge  of  the,
     449H page.  The name of the section will appear at th,
     512He upper left/33H corner of the section exactly as,
     614H you typed it.//30H In the education section, and,
     749H in the sections which you name yourself,  you  c,
     82Han/44H type as little or as much as you want on a ,
     937Hline, the program will accumulate the)
      WRITE(ITTY,107)
  107 FORMAT(42H words into lines of approximately equal l,
     139Hength.  If you type more than will  fit/7H across,
     249H  the width of the screen, ignore the automatic r,
     325Heturn to the left edge of/20H the screen and just,
     449H keep on typing.  You must, however,  press  the ,
     512H RETURN  key/33H when  you  have  finished  typin,
     648Hg  whatever you want to be on the line.  You can/
     749H terminate entering text into the  section  by  p,
     832Hressing  the  RETURN  key  again/13H without havi,
     933Hng typed anything else before it./)
      WRITE(ITTY,108)
  108 FORMAT(42H You can erase errors immediately after yo,
     139Hu have typed them by using the  DEL  or/7H RUBOUT,
     249H  keys,  but  you  CANNOT  correct  errors by usi,
     325Hng the cursor keys (those/20H marked with arrows),
     449H or the BACKSPACE key.   If  you  have  already  ,
     512Hpressed  the/33H RETURN key, or if you have typed,
     648H more than will fit onto one line of the screen,/
     749H then you will have to wait until you have finish,
     832Hed  entering  the  text  in  the)
      WRITE(ITTY,109)
  109 FORMAT(42H section before you can return to correct ,
     139Hthe errors.  At that time you can issue/7H a DRAF,
     249HT command in response to the "What next?" request,
     325H to discover  the  number/20H of  the  line  in  ,
     449Herror,  and then you can issue an EDIT command to,
     512H correct the)
      IF(IVIDEO.LT.0)GO TO 110
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  110 CONTINUE
      WRITE(ITTY,111)
  111 FORMAT(7H error.//31H The following conventions are ,
     124Hallowed by this program.//20H A line containing o,
     249Hnly a * (the asterisk) produces a blank line in t,
     310Hhe resume./35H A line starting with a * will be s,
     431Heparate from the previous line./14H A line starti,
     549Hng with a - (the minus sign) will bear a bullet a,
     615Ht its left end./30H A line starting with a word, ,
     749Hphrase or date followed by a * and then  more  te,
     82Hxt/44H will have the word, phrase or date to the l,
     918Heft of the margin.)
      WRITE(ITTY,112)
  112 FORMAT(42H A ^ character (the circumflex) in front o,
     127Hf a word darkens that word./18H A _ character (th,
     249He underscore) in front of a word underlines that ,
     35Hword.//40H A single * in a line marks the location,
     441H in the line which is to be lined up with/5H the ,
     549Hleft margin.  You will see the * if you issue a D,
     627HRAFT command in response to/18H the "What next?" ,
     749Hrequest after you  have  finished  entering  the ,
     814H text  in  the)
      WRITE(ITTY,113)
  113 FORMAT(42H section, but the * will not appear in the,
     139H final version of the resume.  The name/7H of the,
     249H section will appear on the same line as the firs,
     325Ht line of the text in the/20H section unless this,
     427H text also starts with a *.//17H When you are vie,
     549Hwing a lengthy batch of instructions, or  a  roug,
     615Hh  draft  or  a/30H proof of your resume, the pro,
     749Hgram will pause each time the screen has filled a,
     82Hnd/44H instruct you to "press RETURN to continue".,
     937H  Typing of the  instructions  or  of)
      IF(IVIDEO.LT.0)GO TO 114
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  114 CONTINUE
      WRITE(ITTY,115)
  115 FORMAT(42H the  resume will continue when you press ,
     139Hthe RETURN key located at the right end/7H of the,
     249H keyboard.  If  you  want  to  cancel  the  typin,
     325Hg  of  the  rest  of  the/20H instructions or of ,
     449Hthe rest of the resume, then you can instead type,
     512H the command/33H which you want to have be proces,
     640Hsed next before pressing the RETURN key.//5H You ,
     749Hcan save an unfinished version of your resume by ,
     827Hissuing an EXIT command  in)
      WRITE(ITTY,116)
  116 FORMAT(42H response  to  the  "What next?" request. ,
     139H You can then run this program later to/7H revise,
     249H or to add to the resume.  When you  have  produc,
     325Hed  the  version  of  the/20H resume  which  you ,
     449H want to have included in the collection of resum,
     512Hes, then you/33H must issue the SUBMIT command in,
     648H response to the  "What  next?"  request.   Your/
     749H resume  will  not  be included in the collection,
     832H if you do not select the SUBMIT/8H option.)
C
C     SHORT LIST OF WHAT NEXT OPTIONS
      GO TO 5
  200 CONTINUE
      WRITE(ITTY,201)
  201 FORMAT(42H The following is a summary of the availab,
     110Hle options//34H AFTER    to insert line after ano,
     245Hther   PAPER    to get a paper copy of resume/1H ,
     33HALL,6X,20Hso all sections show,11X,12HPROOF    to ,
     421Hshow formatted resume/24H APPEND   to append to a,
     58H section,9X,28HRENAME   to rename a section/4H BEF,
     649HORE   to insert line before another  REPLACE  to ,
     712Hreplace line/32H BREAK    to break before a line,
     89X,34HRULE     to break 1 section into 2)
      WRITE(ITTY,202)
  202 FORMAT(35H BULLET   to begin line with bullet,6X,1HS,
     135HAVE     to save resume but not exit/10H CANCEL   ,
     213Hto start over,18X,28HSKIP     to skip blank line ,
     311Hbefore line/33H CREATE   to create a new section,
     48X,39HSUBMIT   to submit resume when all done/4H DEL,
     522HETE   to delete a line,15X,19HSWITCH   to move li,
     620Hnes within a section/25H DRAFT    to show resume ,
     739Has you typed it TYPE     to type a line/7H EDIT  ,
     83X,24Hto change part of a line,7X,15HUNRULE   to mer,
     920Hge 2 sections into 1)
      WRITE(ITTY,203)
  203 FORMAT(33H EXIT     to save resume and exit/6H JOIN ,
     14X,46Hto remove break before line    following selec,
     215Ht terminal type/30H LENGTH   to calculate length ,
     345Hof resume  SLOW     for paper output terminal/1H ,
     426HMOVE     to move a section,14X,15HFAST     for vi,
     524Hdeo without screen clear/21H ONLY     so only one,
     614H section shows,6X,28HPAGING   for video with scre,
     78Hen clear///36H Now you can either press the return,
     840H key to get a more detailed explanation,)
      WRITE(ITTY,204)
  204 FORMAT(42H or you can type a word in this list to pe,
     131Hrform the corresponding option.)
      IF(IVIDEO.LT.0)GO TO 205
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  205 CONTINUE
C
C     LONG LIST OF WHAT NEXT OPTIONS
      WRITE(ITTY,206)
  206 FORMAT(42H The following is a more complete descript,
     128Hion of the available options//16H AFTER   and lin,
     243He number to insert new line after that line/3H AL,
     349HL     so DRAFT and PROOF options show all section,
     41Hs/45H APPEND  and section name to append new lines,
     527H to the end of that section/18H BEFORE  and line ,
     642Hnumber to insert new line before that line/4H BRE,
     749HAK   and line number to cause that line not to co,
     820Hntinue previous line/25H BULLET  and line number ,
     939Hto cause that line to begin with bullet)
      WRITE(ITTY,207)
  207 FORMAT(42H CANCEL  to cancel current resume and star,
     131Ht over.  This command cannot be/9X,11Habbreviated,
     21H./45H CREATE  and section name to create a new sec,
     34Htion/42H DELETE  and line number to delete that li,
     42Hne/44H DRAFT   to list current section or entire r,
     536Hesume as you typed it.  PROOF option/9X,7Hwould s,
     622Hhow reformatted lines./23H EDIT    and line numbe,
     749Hr to change part of that line.  You can insert, r,
     86Hemove,/9X,37Hcapitalize, darken or underline words,
     913H and phrases.)
      WRITE(ITTY,208)
  208 FORMAT(42H EXIT    to save resume, then exit.  You c,
     135Han revise resume later.  Use SUBMIT/9X,8Hoption l,
     229Hater when resume is finished./16H JOIN    and lin,
     349He number to cause that line to continue previous ,
     44Hline/42H LENGTH  to calculate number of lines in r,
     519Hesume when typeset./26H MOVE    and section name ,
     643Hto move that section before another section/)
      IF(IVIDEO.LT.0)GO TO 209
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  209 CONTINUE
      WRITE(ITTY,210)
  210 FORMAT(42H ONLY    and section name so that DRAFT an,
     139Hd PROOF options show only that section./9X,4HOppo,
     219Hsite of ALL option./26H PAPER   to write resume t,
     349Ho file which you can type or print later.  You wi,
     45Hll be/9X,38Hasked which printer and type of resume,
     510H you want./35H PROOF   to list formatted version ,
     643Hof current section or entire resume.  DRAFT/9X,
     743Hoptions would show lines as you typed them./3H RE,
     849HNAME  and section name to rename that section.  T,
     922Hype capitals and small)
      WRITE(ITTY,211)
  211 FORMAT(9X,39Hletters exactly as you want them to app,
     14Hear./42H REPLACE and line number to replace that e,
     210Hntire line/35H RULE    and section name to create,
     342H a section having this name from the lower/9X,1Hp,
     449Hortion of an existing section.  You will be asked,
     522H to identify the first/9X,20Hline which is to be ,
     619Hin the new section./26H SAVE    to save resume bu,
     748Ht not exit.  You can continue to make revisions./
     849H SKIP    and line number to skip a line before th,
     98Hat line.)
      WRITE(ITTY,212)
  212 FORMAT(42H SUBMIT  if you have completed resume.  Th,
     133His command cannot be abbreviated./9X,9HAfter iss,
     249Huing this command, the resume cannot be changed l,
     35Hater./41H SWITCH  and 3 line numbers to move sever,
     436Hal lines within a section.  Only the/9X,7Hfirst l,
     549Hine number can appear to the right of the SWITCH ,
     613Hcommand.  The/9X,29Hothers must be typed separate,
     742Hly.  The lines identified by the first and/9X,1Hs,
     849Hecond numbers are moved to just above the line id,
     921Hentified by the third)
      WRITE(ITTY,213)
  213 FORMAT(9X,39Hnumber.  The first number identifies th,
     128He top line to be moved.  The/9X,14Hsecond number ,
     249Hidentifies the bottom line to be moved.  The firs,
     35Ht and)
      IF(IVIDEO.LT.0)GO TO 214
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  214 CONTINUE
      WRITE(ITTY,215)
  215 FORMAT(9X,39Hsecond number would be the same if only,
     123H 1 line is to be moved./22H TYPE    and line numb,
     220Her to type that line/25H UNRULE  and section name,
     349H to merge this section with the preceding section,
     41H.//44H Following commands change how terminal you ,
     536Hare using is handled by this program//9H SLOW    ,
     649Hif running this program from a slow or hardcopy t,
     77Herminal/39H FAST    if running this program from a,
     839H fast video terminal which cannot clear/9X,4Hthe ,
     920Hscreen between pages)
      WRITE(ITTY,216)
  216 FORMAT(42H PAGING  if running this program from a fa,
     137Hst video terminal which can clear the/9X,6Hscreen,
     240H when instructed to do so by the program)
C
C     TELL USER ABOUT INITIAL CONTENTS OF RESUME
      GO TO 5
  300 CONTINUE
      WRITE(ITTY,301)
  301 FORMAT(42H The first section in your resume will lis,
     139Ht your  educational  background.   This/7H sectio,
     249Hn is assumed to start with the following informat,
     34Hion:)
      GO TO 5
C     AT THIS POINT, THE CALLING PROGRAM WILL LIST
C     THE INITIAL CONTENTS OF THE EDUCATION SECTION.
C     THE .PAGE POSITION COMMAND BELOW MUST AGREE WITH
C     THE NUMBER OF LINES IN THE DISPLAY OF THIS SECTION.
  400 CONTINUE
      WRITE(ITTY,401)
  401 FORMAT(42H The lines in the final resumes will be wi,
     139Hder than  shown  here,  so  that  fewer/7H lines ,
     249H may  be  needed  for  this  information.  If the,
     325H dates are wrong, you can/20H change these later ,
     449Husing the EDIT option.  The words which are shown,
     512H  underlined/33H by  circumflexs or up-arrows wil,
     648Hl be darker in the final resume than the rest of/
     710H the text.//34H Now, in response to the question ,
     847Hmark prompt which  will  appear  below,  please)
      WRITE(ITTY,402)
  402 FORMAT(42H type  any  additional  information  which,
     139H  is  to  be  included in the education/7H sectio,
     249Hn.  If you begin the first or any line which you ,
     325Htype with a *  (asterisk)/20H then  this  line wi,
     449Hll start on a new line in the resume.  If you beg,
     512Hin the first/33H or any line which you type with ,
     648Ha - (minus sign) then this line will start  with)
      IF(IVIDEO.LT.0)GO TO 403
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  403 CONTINUE
      WRITE(ITTY,404)
  404 FORMAT(42H a  bullet in the resume.  If you do not b,
     139Hegin the first line which you type with/7H either,
     249H a * or a -, then what you type will  be  merged ,
     325H into  the  automatically/20H supplied  start of ,
     449Hthe education section.  If you want to continue t,
     512Hhe education/33H section by describing your areas,
     648H of emphasis, then the first line which you type/
     749H should begin with a *.  If you forget to type th,
     832He *, you can later use the BREAK/13H option to in,
     918Hsert the asterisk./)
      WRITE(ITTY,405)
  405 FORMAT(42H Press the RETURN key an extra time when y,
     139Hou have typed all  of  the  information/7H which ,
     225His to be in this section.//19H You can obtain det,
     349Hailed instructions about the  conventions  used  ,
     413Hfor  entering/32H text  by  typing  the ? key now,
     549H.  If you can also review these same instructions/
     649H later, whenever you are creating or appending to,
     711H a section.)
C
C     DESCRIBE ENTRY OF SECTION (KNDMSG=5)
      GO TO 5
  500 CONTINUE
      WRITE(ITTY,501)
  501 FORMAT(42H The special conventions recognized by thi,
     130Hs program are summarized below//2H *,21X,6Hproduc,
     224Hes completely blank line/5H text,18X,9Hcontinues,
     343H previous line unless this contained only */3H *t,
     43Hext,17X,15Hstarts new line/6H -text,17X,8Hstarts n,
     527Hew line with bullet to left/7H --text,16X,5Hstart,
     649Hs new line indented same as if marked with bullet/
     78H ---text,15X,34Hstarts new line in 2nd level list ,
     819Hwith bullet to left/9H ----text,14X,10Hstarts new,
     942H line in 2nd level list but without bullet/)
      WRITE(ITTY,502)
  502 FORMAT(10H Date*text,13X,24Hstarts new line with dat,
     19He to left/11H Date*-text,12X,18Hstarts new line wi,
     226Hth date and bullet to left/12H Date*--text,11X,
     349Hstarts new line with date and indented as if with,
     47H bullet/17H text**right text,6X,15Hforces text aft,
     543Her ** to right edge, doesn't start new line/3H *t,
     649Hext**right text     starts new line, text after *,
     725H* is forced to right edge/20H date*text**right te,
     849Hxt new line with date to left, text after ** forc,
     911Hed to right)
      WRITE(ITTY,503)
  503 FORMAT(42H date*-text**right text new line with date,
     135H and bullet, text after ** at right//9H ^words ^,
     249Hin ^a ^phrase would darken (boldface) the words i,
     312Hn the phrase/16H ^multi^national,7X,10Hwould dark,
     425Hen multi but not national/20H _words _in _a _phra,
     542Hse would underline the words in the phrase/4H _mu,
     612Hlti_national,7X,30Hwould underline multi but not ,
     78Hnational)
      IF(IVIDEO.LT.0)GO TO 504
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  504 CONTINUE
      WRITE(ITTY,505)
  505 FORMAT(/41H You can type as many lines of text as ne,
     140Hcessary  in  this  section.   Press  the/6H RETUR,
     249HN  key an extra time when you have typed all of t,
     326Hhe information which is to/19H be in this section,
     449H.  The words which you type will be  wrapped  aro,
     513Hund  to  form/32H lines  of approximately equal l,
     649Hength.  Type an asterisk (the * character) at the/
     749H start of each line which is not to be run-in wit,
     832Hh the previous  lines.   Type  a)
      WRITE(ITTY,506)
  506 FORMAT(42H minus  sign (the - character), rather tha,
     139Hn an asterisk, if the line is to have a/7H bullet,
     249H to its left.  To have a blank line appear in  th,
     325He  resume,  type  a  line/20H containing only an ,
     49Hasterisk.//36H If something, such as a word or wor,
     545Hds or a date, is to appear to the left of the/1H ,
     649Hmargin,  first  type  the  word  or words which a,
     731Hre to appear to the left of the/14H margin, and t,
     849Hhen on the same line type an  asterisk  followed ,
     918H in  turn  by  the)
      WRITE(ITTY,507)
  507 FORMAT(42H ordinary  text  to  be  in the body of th,
     139He document.  Follow the asterisk with a/7H minus ,
     249Hsign if the text which has the word or words or d,
     325Hate to its left  is  also/20H to  bear  a  bullet,
     449H.  The first line in a section will start on the ,
     512Hsame line as/33H the section name unless this fir,
     644Hst line starts with or contains an asterisk.//1H ,
     749HInsert 2 minus signs at the start of (or after th,
     831He asterisk in) a line which  is)
      WRITE(ITTY,508)
  508 FORMAT(42H to be aligned with the items in a list bu,
     132Ht which is not to bear a bullet./13H Insert 3 min,
     249Hus signs at the start of a line which is to be in,
     319H an inner list  and/26H which is to bear a bullet,
     41H.)
      IF(IVIDEO.LT.0)GO TO 509
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  509 CONTINUE
      WRITE(ITTY,510)
  510 FORMAT(42H Insert 4 minus signs at the start of a li,
     139Hne which is  to  be  aligned  with  the/7H items ,
     249Hin an inner list but which is not to bear a bulle,
     32Ht.//43H Your name and the names which are typed at,
     438H the upper left corners of the various/8H section,
     549Hs will be typed darker than normal.  To force any,
     624H other word or phrase to/21H be typed darker than,
     749H normal, precede the word or each word of the  ph,
     811Hrase  by  a/34H circumflex  or  an  up-arrow  cha,
     947Hracter  (the  ^ character).  The circumflex and)
      WRITE(ITTY,511)
  511 FORMAT(42H up-arrow are markings which identify the ,
     139Hsame character on  different  types  of/7H keyboa,
     249Hrds.   Similarly,  to force a word or a phrase to,
     325H be underlined when it is/20H typed, precede the ,
     449Hword or each word in the phrase with an  undersco,
     512Hre  or  left/33H arrow  (the _ character).  The u,
     648Hnderscore and left arrow are also markings which/
     749H identify a single character on different types o,
     832Hf keyboards.  Use  the  keys  on)
      WRITE(ITTY,512)
  512 FORMAT(42H the  main  keyboard,  do  not use the lef,
     139Ht pointing arrow key or the up pointing/7H arrow ,
     249Hkey on the small keyboard  to  right  of  the  ma,
     325Hin  keyboard.   A  second/20H appearance  of  the,
     449H  circumflex or of the underscore can appear with,
     512Hin a word to/33H cause the remainder of the word ,
     648Hto be typed in  the  normal  fashion  after  the/
     749H preceding  portion  of  the  word  has  been  ty,
     832Hped either darker than normal or/13H underlined r,
     912Hespectively./)
      WRITE(ITTY,513)
  513 FORMAT(42H As an example of the use of these special,
     139H characters,  the  following  lines  of/5H text/)
      IF(IVIDEO.LT.0)GO TO 514
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  514 CONTINUE
      WRITE(ITTY,515)
  515 FORMAT(42H 1975-1976*^Sixth ^Universal ^Bank New Yor,
     111Hk, New York/34H *Promoted from _Janitor to _Vice ,
     210H_President//34H would type the year range at the ,
     347Hleft edge of the page, cause the bank  name  to/
     449H be typed darker than normal and underline the po,
     531Hsition titles on the next line.//13H To right jus,
     649Htify a phrase in a line which is to be typed on t,
     719Hhe  letter  quality/26H typewriter,  insert  2 as,
     849Hterisks (**) between the text which is to be flus,
     96Hh with)
      WRITE(ITTY,516)
  516 FORMAT(42H the left margin and that which is to be f,
     139Hlush with the  right  margin.   The  **/7H does n,
     249Hot itself cause a new line in the output.  If you,
     325H want the line containing/20H the ** to start a n,
     449Hew line, then either a single * must appear somew,
     512Hhere to  the/33H left  of  the  **  or a - must a,
     648Hppear at the start of the line.  If you want the/
     749H next line to start a new line, then either a * o,
     832Hr a - must appear at  the  start)
      WRITE(ITTY,517)
  517 FORMAT(42H of  the  next  line.   The  **  is  taken,
     139H  to be a single space if the resume is/7H typese,
     22Ht.//41H For example, the following lines of text//
     349H Summer 1978*^Little ^Bank ^and ^Trust ^Company**,
     418HNew York, New York/9H *_Teller/15H *Responsible f,
     538Hor the handling of many cents each day/)
      IF(IVIDEO.LT.0)GO TO 518
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  518 CONTINUE
      WRITE(ITTY,519)
  519 FORMAT(42H would produce the following lines in the ,
     17Hresume.//12H Summer 1978,9X,19HLittle Bank and Tru,
     210Hst Company,13X,18HNew York, New York/21X,6HTeller/
     321X,45HResponsible for the handling of many cents ea,
     46Hch day//39H in which the company name would be dar,
     542Hkened and the job title underlined.  Since/4H the,
     649H  terminal  which you are using to input the cont,
     728Hents of your resume probably/17H cannot itself di,
     849Hsplay darkened or underlined characters, such spe,
     915Hcially modified)
      WRITE(ITTY,520)
  520 FORMAT(42H characters  are instead indicated when yo,
     139Hu display a proof of your resume on the/7H termin,
     249Hal  by  their  being   underlined   with   circum,
     325Hflexs   or   underscores,/20H respectively,  on  ,
     449Hthe  next line.  Each of the specially modified c,
     512Hharacters is/33H underlined although you only had,
     648H to mark each word once when  you  typed  it  in/
     749H originally.  Don't worry about the extra, otherw,
     832Hise blank line which is shown on)
      WRITE(ITTY,521)
  521 FORMAT(42H your terminal since the characters underl,
     139Hined by the circumflexs or  underscores/7H will  ,
     249Happear properly darkened or underlined when the r,
     325Hesume is finally typed or/9H typeset.//8H The exa,
     449Hmple shown earlier would be displayed on the term,
     524Hinal  in  the  following/8H manner://)
      IF(IVIDEO.LT.0)GO TO 522
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  522 CONTINUE
      WRITE(ITTY,523)
  523 FORMAT(12H Summer 1978,9X,23HLittle Bank and Trust C,
     16Hompany,13X,18HNew York, New York/21X,10H^^^^^^ ^^^,
     219H^ ^^^ ^^^^^ ^^^^^^^/21X,6HTeller/21X,6H______/21X,
     349HResponsible for the handling of many cents each d,
     42Hay//43H Now type the next line which is to be in t,
     538Hhis section.  Merely press the  RETURN/8H key  wi,
     649Hthout  typing  anything else before it if you hav,
     724He completed the entry of/21H the text in this sec,
     85Htion.)
C
C     SHORT LIST OF EDIT OPTIONS
      GO TO 5
  600 CONTINUE
      WRITE(ITTY,601)
  601 FORMAT(42H The following is a summary of the availab,
     115Hle edit options//29H AFTER   to insert to right o,
     26Hf item/34H BEFORE  to insert at left of item/3H BO,
     325HLD    to make item darker/20H DELETE  to delete i,
     43Htem/34H BREAK   to break line before item/6H BULLE,
     534HT  to break line and insert bullet/11H LOWER   to,
     627H convert item to lower case/18H MIXED   to capita,
     720Hlize starts of words/25H NEXT    to find next app,
     815Hearance of item/30H NORMAL  to remove underlining,
     912H and bolding/24H REPLACE to replace item)
      WRITE(ITTY,602)
  602 FORMAT(40H SPACE   to insert space to left of item/
     128H UNDERLINE to underline item/17H UPPER   to conve,
     221Hrt item to upper case/////20H Now you can either ,
     349Hpress the return key to get a more detailed expla,
     47Hnation,/39H or you can type a word in this list to,
     534H perform the corresponding option.)
      IF(IVIDEO.LT.0)GO TO 603
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  603 CONTINUE
C
C     LONG LIST OF EDIT OPTIONS
      WRITE(ITTY,604)
  604 FORMAT(42H The following is a more complete descript,
     123Hion of the edit options//21H AFTER   to insert a ,
     249Hword or a phrase to the right of the item just fo,
     34Hund./42H BEFORE  to insert a word or a phrase to t,
     431Hhe left of the item just found./14H BOLD    to in,
     549Hsert a circumflex at the start of a word or at th,
     615He start of each/9X,27Hword of a phrase to cause t,
     739Hhe word or the phrase to be darker than/9X,4Hnorm,
     83Hal./38H DELETE  to delete the item just found)
      WRITE(ITTY,605)
  605 FORMAT(42H BREAK   to cause the item just found to a,
     139Hppear at the start of a new line in the/9X,4Hresu,
     243Hme.  (The line is split and * is inserted.)/3H BU,
     349HLLET  to cause the item just found to appear at t,
     428Hhe start of a new line which/9X,14Hbears a bullet,
     549H in the resume.  (The line is split and - is inse,
     66Hrted.)/40H LOWER   to convert the alphabetic lette,
     737Hrs in the word or phrase all to lower/9X,6Hcase (,
     815Hsmall letters)./30H MIXED   to convert the first ,
     947Hletter of the word or of each of the words in a)
      WRITE(ITTY,606)
  606 FORMAT(9X,39Hphrase to upper case (capital letters) ,
     129Hand the second and subsequent/9X,13Hletters to lo,
     249Hwer case (small letters).  "the job" or "THE JOB",
     39H would be/9X,22Hconverted to "The Job"/9H NEXT    ,
     449Hto search for the next appearance of the same ite,
     522Hm further to the right/23H NORMAL  to remove the ,
     649Hunderscore and/or the circumflex at the start of ,
     79Ha word or/9X,34Hat the start of each word of a phr,
     834Hase to keep the word or the phrase/9X,9Hfrom bein,
     947Hg underlined and from being darker than normal.)
      IF(IVIDEO.LT.0)GO TO 607
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  607 CONTINUE
      WRITE(ITTY,608)
  608 FORMAT(42H REPLACE to replace the item just found by,
     135H something else.  To remove a space/9X,8Hincorrec,
     249Htly typed within a word or between a word and a f,
     38Hollowing/9X,35Hpunctuation mark, it is necessary t,
     435Ho search for the two parts, issue a/9X,8HREPLACE ,
     549Hcommand, and type in the two parts without the sp,
     68Hace.  To/9X,35Hconvert "jo b" to "job", search for,
     736H jo b including the space, issue the/9X,7HREPLACE,
     847H command, and replace by job without the space.)
      WRITE(ITTY,609)
  609 FORMAT(42H SPACE   to insert a space to the left of ,
     137Hthe item just found.  Use this if you/9X,6Hforgot,
     249H to separate 2 words.  To convert "thejob" to "th,
     314He job", search/9X,28Hfor the word job, then selec,
     48Ht SPACE./38H UNDERLINE to insert an underscore at ,
     543Hthe start of a word or at the start of each/9X,
     649Hword of a phrase to cause the word or the phrase ,
     717Hto be underlined./28H UPPER   to convert the alph,
     849Habetic letters in the word or phrase all to upper/
     99X,23Hcase (capital letters)./)
      WRITE(ITTY,610)
  610 FORMAT(42H or merely press the RETURN key to select ,
     114Hanother option)
C
C     DESCRIBE SEARCH IN EDIT FUNCTION (KNDMSG=7)
      GO TO 5
  700 CONTINUE
      WRITE(ITTY,701)
  701 FORMAT(42H Type a character, a sequence of character,
     138Hs, a word or a phrase which appears in/8H the lin,
     249He.  Alphabetic letters which you type will match ,
     319Heither the upper or/26H lower case versions of th,
     449He same letters in the line regardless of which ca,
     53Hses/43H which you type.  You do not need to type u,
     637Hnderscores and circumflexs.  You will/9H be able ,
     749Hto do any of the following if the item is found i,
     811Hn the line.//19H  1 delete the item/10H  2 replac,
     928He the item by something else)
      WRITE(ITTY,702)
  702 FORMAT(42H  3 Convert the item to upper case, lower ,
     138Hcase or capitalize the first letter in/4X,5Heach ,
     217Hword in the item./28H  4 Cause the item to be dar,
     349Hker than normal, to be underlined or to cause the/
     44X,46Hitem to be typed normally without darkening an,
     522Hd without underlining./23H  5 insert a word or a ,
     649Hphrase either at the left or at the right of the ,
     74Hitem/42H  6 attach a letter or a sequence of lette,
     835Hrs either to the left end or to the/4X,8Hright en,
     913Hd of the item)
      WRITE(ITTY,703)
  703 FORMAT(42H  7 insert a space to the left of the item,
     135H, but not to its right (to insert a/4X,8Hspace in,
     235H "thejob", search for the word job)/10H  8 cause ,
     349Hthe item to begin a new line in the resulting doc,
     420Hument and optionally/4X,22Hto cause the new line ,
     522Hto begin with a bullet/23H  9 search for the next,
     640H occurrence of the item on the same line//5H or p,
     745Hress the RETURN key to select another option.)
      IF(IVIDEO.LT.0)GO TO 704
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
  704 CONTINUE
C
C     DESCRIBE REPLACEMENT TEXT IN EDIT FUNCTION (KNDMSG=8 THROUGH 13
      GO TO 5
  800 CONTINUE
      WRITE(ITTY,801)
  801 FORMAT(42H Type a word or a phrase which is to be in,
     135Hserted to the left of the item just/10H found, bu,
     220Ht separated from it.)
      GO TO 5
  900 CONTINUE
      WRITE(ITTY,901)
  901 FORMAT(42H Type a word or a phrase which is to be in,
     136Hserted to the right of the item just/9H found, b,
     221Hut separated from it.)
      GO TO 5
 1100 CONTINUE
      WRITE(ITTY,1101)
 1101 FORMAT(42H Type the letter or letters which are to r,
     127Heplace the item just found.)
      GO TO 5
 1200 CONTINUE
      WRITE(ITTY,1201)
 1201 FORMAT(42H Type the characters which are to be attac,
     136Hhed to the left end of the item just/7H found.)
      GO TO 5
 1300 CONTINUE
      WRITE(ITTY,1301)
 1301 FORMAT(42H Type the characters which are to be attac,
     137Hhed to the right end of the item just/7H found.)
      GO TO 5
 1700 CONTINUE
      WRITE(ITTY,1701)
 1701 FORMAT(42H Type the letter or letters which are to r,
     127Heplace the item just found.)
C
C     VARIOUS EXIT MESSAGES
      GO TO 5
 2200 CONTINUE
      WRITE(ITTY,2201)
 2201 FORMAT(42H The current version of your resume has be,
     139Hen saved.  You  can  run  this  program/7H later ,
     249H to  revise  your  resume.   When you have comple,
     325Hted your resume, you must/20H select the SUBMIT o,
     449Hption in this program to submit the final version,
     51H.)
      GO TO 5
 2300 CONTINUE
      WRITE(ITTY,2301)
 2301 FORMAT(42H The final version of your resume has been,
     139H submitted.  You will not  be  able  to/7H revise,
     249H your resume further unless you contact the RESUM,
     324HE program administrator.)
      GO TO 5
 2400 CONTINUE
      WRITE(ITTY,2401)
 2401 FORMAT(42H Follow the instructions given in the RESU,
     139HME Program Users Guide for typing  this/7H file o,
     229Hn the letter quality printer.)
      GO TO 5
 3800 CONTINUE
      WRITE(ITTY,3801)
 3801 FORMAT(42H This file can be printed on narrow paper ,
     139Hat either 10 or 12 characters per inch.)
      GO TO 5
 4200 CONTINUE
      WRITE(ITTY,4201)
 4201 FORMAT(42H This file should be printed on wide paper,
     11H.)
      GO TO 5
 4300 CONTINUE
      WRITE(ITTY,4301)
 4301 FORMAT(42H This file can be printed on narrow paper ,
     125Hat 12 characters per inch/20H or on wide paper at,
     224H 10 characters per inch.)
      GO TO 5
 7000 CONTINUE
      WRITE(ITTY,7001)
 7001 FORMAT(42H You would type the following to print the,
     15H file/18H  PRINT RESUME.DOC)
      GO TO 5
 7100 CONTINUE
      WRITE(ITTY,7101)
 7101 FORMAT(42H You would type the following on the lette,
     117Hr quality printer/3H HC/11H RESUME.DOC/2H G)
      GO TO 5
 2500 CONTINUE
      WRITE(ITTY,2501)
 2501 FORMAT(42H You submitted the final version of your r,
     139Hesume earlier.  You will not be able to/7H revise,
     249H  your resume further unless you contact the RESU,
     325HME program administrator./20H You can, however, p,
     449Hroduce a copy of your  resume  to  be  typed  on ,
     512H the  Diablo/33H terminal or to be listed on the ,
     613Hline printer.)
C
C     INSERT COMMAND MESSAGE
      GO TO 5
 2600 CONTINUE
      WRITE(ITTY,2601)
 2601 FORMAT(42H Type the line of text which you want to i,
     139Hnsert into the document.  If  you  type/7H more  ,
     249Hthan  will fit across the width of the screen, ig,
     325Hnore the automatic return/20H to the left edge of,
     449H the screen and just keep  on  typing.   You  mus,
     512Ht,  however,/33H press  the  RETURN  key when you,
     648H have finished typing whatever you want to be on/
     710H the line./35H Press only the RETURN key if you g,
     832Hot to this question by accident.)
C
C     WARNING ABOUT SUBMIT COMMAND
      GO TO 5
 2700 CONTINUE
      WRITE(ITTY,2701)
 2701 FORMAT(42H NOTE:  if you answer YES to the following,
     139H question, then you CANNOT revise  your/7H resume,
     249H further unless you contact the RESUME program ad,
     312Hministrator.)
C
C     TYPE OF LOCAL FILE IF ULTIMATE RESUME IS TYPESET
      GO TO 5
 2800 CONTINUE
      WRITE(ITTY,2801)
 2801 FORMAT(36H Type one of the following commands:/3H NA,
     149HRROW    if using the fast printer to proof the co,
     223Hntents but not the line/11X,18Hlengths of a resum,
     347He.  The resulting file can be printed on narrow/
     411X,6Hpaper./36H PRINTED   if using the fast printer,
     543H to proof the contents and the line lengths/11X,
     649Hof a resume for which the final copy will be type,
     715Hd on the letter/11X,26Hquality typewriter.  The r,
     844Hesulting file can be printed on narrow paper)
      WRITE(ITTY,2802)
 2802 FORMAT(11X,38Hat 12 characters per inch or on wide p,
     131Haper at 10 characters per inch./14H TYPED     if ,
     249Husing the letter quality typewriter to produce th,
     318He final version of/11X,23Ha resume.  The file can,
     443Hnot be printed on the fast printer since it/11X,
     549Hcontains instructions for boldfacing which can on,
     614Hly be properly/11X,27Hhandled by the letter quali,
     714Hty typewriter./31H TYPESET   if using the fast pr,
     848Hinter to check the appearance of the resume when)
      WRITE(ITTY,2803)
 2803 FORMAT(11X,38Hit is typeset.  The resulting file mus,
     127Ht be printed on wide paper./18H or merely press t,
     249Hhe RETURN key if you do not want a paper copy of ,
     311Hyour resume/5H now.)
C
C     TYPE OF LOCAL FILE IF ULTIMATE RESUME IS NOT TYPESET
      GO TO 5
 4100 CONTINUE
      WRITE(ITTY,4101)
 4101 FORMAT(36H Type one of the following commands:/3H NA,
     149HRROW    if using the fast printer to proof the co,
     223Hntents but not the line/11X,18Hlengths of a resum,
     347He.  The resulting file can be printed on narrow/
     411X,6Hpaper./36H PRINTED   if using the fast printer,
     543H to proof the contents and the line lengths/11X,
     649Hof a resume for which the final copy will be type,
     715Hd on the letter/11X,26Hquality typewriter.  The r,
     844Hesulting file can be printed on narrow paper)
      WRITE(ITTY,4102)
 4102 FORMAT(11X,38Hat 12 characters per inch or on wide p,
     131Haper at 10 characters per inch./14H TYPED     if ,
     249Husing the letter quality typewriter to produce th,
     318He final version of/11X,23Ha resume.  The file can,
     443Hnot be printed on the fast printer since it/11X,
     549Hcontains instructions for boldfacing which can on,
     614Hly be properly/11X,27Hhandled by the letter quali,
     714Hty typewriter./31H or merely press the RETURN key,
     847H if you do not want a paper copy of your resume/
     95H now.)
C
C     WARNING ABOUT CANCEL COMMAND
      GO TO 5
 2900 CONTINUE
      WRITE(ITTY,2901)
 2901 FORMAT(42H NOTE:  if you answer YES to the following,
     139H question, then the current version  of/7H your r,
     249Hesume will be cancelled, and you will have to sta,
     38Hrt over.)
      GO TO 5
 2100 CONTINUE
      WRITE(ITTY,2101)
 2101 FORMAT(42H NOTE:  if you answer YES to the following,
     139H question, then all of the changes  you/7H have m,
     237Hade to this resume will be discarded.)
C
C     VARIOUS MESSAGES ABOUT ADDRESSES AND PHONES
      GO TO 5
 3000 CONTINUE
      WRITE(ITTY,3001)
 3001 FORMAT(32H Type the first line of address./7H Press ,
     145Honly the RETURN key if no address is desired.)
      GO TO 5
 3100 CONTINUE
      WRITE(ITTY,3101)
 3101 FORMAT(42H Type the first phone number to be include,
     115Hd with address./30H Press only the RETURN key if ,
     234Hno phone number is to be included.)
      GO TO 5
 3200 CONTINUE
      WRITE(ITTY,3201)
 3201 FORMAT(39H Type the first line of second address./
     149H Press only the RETURN key if no second address i,
     210Hs desired.)
      GO TO 5
 3300 CONTINUE
      WRITE(ITTY,3301)
 3301 FORMAT(42H Type the first phone number to be include,
     122Hd with second address./23H Press only the RETURN ,
     249Hkey if no phone number  is  to  be  included  wit,
     39Hh  second/9H address.)
      GO TO 5
 3400 CONTINUE
      WRITE(ITTY,3401)
 3401 FORMAT(31H Type the next line of address./8H Press o,
     142Hnly the RETURN key if address is complete.)
      GO TO 5
 3500 CONTINUE
      WRITE(ITTY,3501)
 3501 FORMAT(42H Type the next phone number to be included,
     114H with address./31H Press only the RETURN key if l,
     233Hist of phone numbers is complete.)
      GO TO 5
 3600 CONTINUE
      WRITE(ITTY,3601)
 3601 FORMAT(38H Type the next line of second address./1H ,
     149HPress only the RETURN key if second address is co,
     27Hmplete.)
      GO TO 5
 3700 CONTINUE
      WRITE(ITTY,3701)
 3701 FORMAT(42H Type the next phone number to be included,
     121H with second address./24H Press only the RETURN k,
     249Hey if list  of  phone  numbers  with  second  add,
     38Hress  is/10H complete.)
C
C     TELL USER WHAT PROGRAM THIS IS
      GO TO 5
 3900 CONTINUE
      WRITE(ITTY,3901)
 3901 FORMAT(7H RESUME/32H Accepts resumes for the student,
     119H resume collection.)
C
C     PASSWORD ASSIGNED TO USER
      GO TO 5
 4000 CONTINUE
      WRITE(ITTY,4001)
 4001 FORMAT(42H You must prove that you know  both  the  ,
     139Hnumber  and  the  password  which  were/7H assign,
     249Hed  to  you  in  order  to  gain  access to this ,
     325Hprogram.  Please type the/20H password now.  This,
     449H password is not related to and  does  not  depen,
     512Hd  upon  the/33H password  through which you may ,
     648Hhave gained access to the account from which you/
     749H are running  this  program.   You  will  have  t,
     832Ho  contact  the  RESUME  program)
      WRITE(ITTY,4002)
 4002 FORMAT(42H administrator if you have forgotten eithe,
     131Hr your number or your password.)
C
C     ASK NUMBER ASSOCIATED WITH THE PASSWORD
      GO TO 5
 4400 CONTINUE
      WRITE(ITTY,4401)
 4401 FORMAT(42H You must prove that you know  both  the  ,
     139Hnumber  and  the  password  which  were/7H assign,
     249Hed to you in order to gain access to this program,
     325H.  Please type the number/20H now.  You can type ,
     449Hthe password to the right of the number or on the,
     512H next  line./33H You  will have to contact the RE,
     648HSUME program administrator if you have forgotten/
     737H either your number or your password.)
C
C     INSTRUCTIONS FOR ENTERING NAME SECTION
      GO TO 5
 4500 CONTINUE
      WRITE(ITTY,4501)
 4501 FORMAT(29H Ready to start a new resume.//9H You will,
     149H now supply your name, address and phone number. ,
     223H Your name and  address/22H will appear exactly a,
     349Hs you type them.  If you type your name in upper ,
     410Hcase, then/35H it will be in upper case on the  t,
     546Hop  line  of  your  resume.   Your  name  will/
     649H automatically  be  darkened.   You will be able ,
     732Hto supply 2 addresses.  The left/13H address will,
     849H be lined up with the left edge of the paper if y,
     919Hou  later  look  at)
      WRITE(ITTY,4502)
 4502 FORMAT(42H this  information on the terminal or prin,
     139Ht this information on the line-printer./7H Howeve,
     249Hr, the left address will line up with the left  e,
     325Hdge  of  the  descriptive/20H text of the resume ,
     449Hwhen it is printed on the letter quality typewrit,
     53Her.//42H The lines of the name and address are sto,
     639Hred in  sections  named  NAME  for  the/7H name, ,
     749H LOCAL  for  the  local or main address and PERMA,
     825HNENT for the permanent or)
      WRITE(ITTY,4503)
 4503 FORMAT(42H secondary address.   The  phone  numbers ,
     139H are  considered  to  be  part  of  the/7H addres,
     249Hses, although you will be asked separately for th,
     325Hem.  If you do not supply/20H a permanent address,
     449H now, but later decide that you want  one,  merel,
     512Hy  create  a/33H section  named  PERMANENT  by  t,
     648Hyping  CREATE PERMANENT in response to the "What/
     749H next?" question.  The text which you would put i,
     832Hnto such a new section is copied)
      WRITE(ITTY,4504)
 4504 FORMAT(42H into  the  resume  broken into lines exac,
     139Htly as you typed them.  The NAME, LOCAL/7H and PE,
     249HRMANENT sections do not need to be located before,
     325H the other sections, they/20H will be sorted out ,
     449Hand printed first regardless of where they are lo,
     56Hcated.)
C
C     INITIAL REQUEST FOR WHETHER INSTRUCTIONS ARE WANTED
      GO TO 5
 6400 CONTINUE
      WRITE(ITTY,6401)
 6401 FORMAT(36H Type one of the following commands://2H Y,
     12HES,6X,38Hif you want a list of instructions now/
     23H NO,7X,40Hif you already know how to run this prog,
     33Hram)
      GO TO 5
 6500 CONTINUE
      WRITE(ITTY,6501)
 6501 FORMAT(42H You are assumed to be using a slow hardco,
     137Hpy terminal which types directly onto/7H paper.)
      GO TO 5
 6600 CONTINUE
      WRITE(ITTY,6601)
 6601 FORMAT(42H You are assumed to be using a fast video ,
     131Hterminal on which the last line/14H displayed app,
     249Hears at the bottom of the screen forcing the prev,
     313Hious lines to/15H scroll upward.)
      GO TO 5
 6700 CONTINUE
      WRITE(ITTY,6701)
 6701 FORMAT(42H You are assumed to be using a video termi,
     139Hnal on which this program can erase the/7H screen,
     223H when the screen fills.)
      GO TO 5
 6800 CONTINUE
      WRITE(ITTY,6801)
 6801 FORMAT(42H If this assumption about the type of term,
     139Hinal which you are using is wrong, then/7H you sh,
     249Hould select the proper type of terminal by typing,
     321H one of the following/24H instead of YES or NO.  ,
     449HYou will again be asked whether you want instruct,
     55Hions.//40H SLOW     if you are using a hardcopy te,
     639Hrminal which types directly onto paper./7H FAST  ,
     73X,46Hif you are using a video terminal on which the,
     820H last line displayed/10X,21Happears at the bottom,
     944H of the screen forcing the previous lines to)
      WRITE(ITTY,6802)
 6802 FORMAT(10X,14Hscroll upward./20H PAGING   if you are,
     149H using a video terminal on which this program can,
     210H erase the/10X,29Hscreen when the screen fills.)
C
C     VARIOUS SHORT HELP MESSAGES
      GO TO 5
 4600 CONTINUE
      WRITE(ITTY,4601)
 4601 FORMAT(26H Type one of the following/12H the number ,
     149Hwhich identifies the resume which is to be edited/
     211H -1 to exit/34H -2 to select a resume by the pass,
     326Hword chosen by the student/19H or merely press th,
     437He RETURN key to select another class.)
      GO TO 5
 4700 CONTINUE
      WRITE(ITTY,4701)
 4701 FORMAT(42H Type the name of the new section.  This n,
     135Hame will darkened and appear to the/10H upper lef,
     249Ht of the text in the section.  The name will appe,
     319Har 1 line above the/26H text if the first line in,
     449H the section starts with a single asterisk.  The ,
     54Hname/42H will be capitalized only where you type c,
     638Hapital letters.  Do not include either/8H circumf,
     721Hlexes or underscores.)
      GO TO 5
 4800 CONTINUE
      WRITE(ITTY,4801)
 4801 FORMAT(36H Type one of the following commands:/3H YE,
     133HS if you want to edit this resume/12H  NO if this,
     235H is not the resume you mean to edit)
      GO TO 5
 4900 CONTINUE
      WRITE(ITTY,4901)
 4901 FORMAT(42H The line number is the number which is di,
     136Hsplayed to the left of the line when/9H you issu,
     249He a DRAFT command.  If you do not know the line n,
     323Humber, merely press the/22H return key here, then,
     449H type DRAFT in response to the "WHAT NEXT?" quest,
     58Hion.  If/38H the DRAFT command does not show the l,
     642Hine you want, then type the ALL command so/4H tha,
     743Ht the DRAFT command will show all sections.)
      GO TO 5
 5000 CONTINUE
      WRITE(ITTY,5001)
 5001 FORMAT(36H Type one of the following commands:/3H YE,
     129HS if this is the correct line/16H  NO if you type,
     223Hd the wrong line number)
      GO TO 5
 5100 CONTINUE
      WRITE(ITTY,5101)
 5101 FORMAT(36H Type one of the following commands:/3H YE,
     149HS if you want to cancel the current contents of y,
     210Hour resume/35H  NO if you got to this question by,
     39H accident)
      GO TO 5
 7200 CONTINUE
      WRITE(ITTY,7201)
 7201 FORMAT(36H Type one of the following commands:/3H YE,
     149HS if you want to cancel all the changes you have ,
     219Hmade to this resume/26H  NO if you got to this qu,
     318Hestion by accident)
      GO TO 5
 5200 CONTINUE
      WRITE(ITTY,5201)
 5201 FORMAT(36H Type one of the following commands:/3H YE,
     149HS if you do not want to add more lines to this se,
     25Hction/41H  NO if you got to this question by accid,
     33Hent)
      GO TO 5
 5300 CONTINUE
      WRITE(ITTY,5301)
 5301 FORMAT(36H Type one of the following commands:/3H YE,
     149HS if you do not want to make any more changes eve,
     21Hr/44H  NO if you got to this question by accident)
      GO TO 5
 5400 CONTINUE
      WRITE(ITTY,5401)
 5401 FORMAT(36H Type one of the following commands:/3H YE,
     149HS if you want to type resume on Diablo or list on,
     28H printer/38H  NO if you do not want a copy of your,
     37H resume)
      GO TO 5
 5500 CONTINUE
      WRITE(ITTY,5501)
 5501 FORMAT(36H Type one of the following commands:/3H Ye,
     149Hs if you really mean to create a new section by s,
     222Hplitting off the lower/5X,20Hportion of an existi,
     311Hng section./34H  NO if you want to select some ot,
     418Hher option instead)
      GO TO 5
 5600 CONTINUE
      WRITE(ITTY,5601)
 5601 FORMAT(36H Type one of the following commands:/3H YE,
     149HS if you really mean to remove the ruling and sec,
     225Htion name at the start of/5X,17Hthis section so t,
     349Hhat this section is merged with the preceding sec,
     44Htion/42H  NO if you want to select some other opti,
     510Hon instead)
      GO TO 5
 5700 CONTINUE
      WRITE(ITTY,5701)
 5701 FORMAT(42H Identify the group of students for whom r,
     139Hesumes are to be modified by typing the/7H right ,
     249H2 digits of the year in which these students are ,
     321Hexpected to graduate./24H You would type 84 for s,
     440Htudents in the graduating class of 1984.)
C
C     USER SELECTED PASSWORD
      GO TO 5
 5800 CONTINUE
      WRITE(ITTY,5801)
 5801 FORMAT(42H If this is the first time that you have u,
     139Hsed this program, then you should  type/7H a  wor,
     249Hd or a short phrase which you do not believe can ,
     325Hbe guessed by anyone else/20H who will be running,
     449H this program.  This word or phrase will be used ,
     512H to  prevent/33H anyone  else  gaining  access to,
     648H your resume through this program.  This word or/
     749H phrase is not related to and does not depend upo,
     832Hn the password through which you)
      WRITE(ITTY,5802)
 5802 FORMAT(42H may  have  gained access to the account f,
     139Hrom which you are running this program./7H The wo,
     249Hrd or the words of a phrase must be formed from t,
     325Hhe alphabetic  letters  A/20H through  Z  and  th,
     449He  digits 0 through 9.  No other characters are a,
     512Hllowed.  The/33H word or phrase, counting the sep,
     648Harations between the words  of  a  phrase  as  1/
     749H character each, can contain up to 20 characters./
     8/48H If you have used this program before, and merel,
     933Hy wish to review or  modify  your)
      WRITE(ITTY,5803)
 5803 FORMAT(42H resume,  then  you must type the word or ,
     139Hthe phrase which you specified when you/7H first ,
     249Hran this program, but you do not need to match th,
     325He cases  of  any  of  the/20H alphabetic  letters,
     449H  A  through  Z  in the word or phrase.  You can ,
     512Htype capital/33H alphabetic letters where you ori,
     648Hginally specified lower case letters,  and  vice/
     749H versa.   You  will  have to contact the RESUME p,
     832Hrogram administrator if you have/13H forgotten yo,
     912Hur password.)
      GO TO 5
 6900 CONTINUE
      WRITE(ITTY,6901)
 6901 FORMAT(42H Through an administrative error, the numb,
     135Her which you have been assigned has/10H also been,
     249H assigned to someone else.  Please contact the RE,
     312HSUME program/33H administrator to have this probl,
     448Hem corrected.  You cannot run this program until/
     56H then.)
      GO TO 5
 5900 CONTINUE
      WRITE(ITTY,5901)
 5901 FORMAT(42H The password which you have specified can,
     125Hnot be used because it is/20H computationally sim,
     249Hilar to a password already in use.  This does not,
     310H mean that/35H these passwords are visually simil,
     43Har./32H Please select another password.)
      GO TO 5
 7300 CONTINUE
      WRITE(ITTY,7301)
 7301 FORMAT(42H Your password can be 1 or more words and ,
     136Hup to 20 letters and digits.  If you/9H have not,
     249H used this program before, select a password unli,
     320Hkely to be chosen by/25H others.  If you started ,
     449Hyour resume earlier, type the password you chose ,
     55Hthen.//40H If this is the first time you have used,
     641H this program, but this program says that/5H it i,
     749Hs continuing a resume begun previously, then plea,
     822Hse type EXIT when this)
      WRITE(ITTY,7302)
 7302 FORMAT(42H program asks "WHAT NEXT?" and run this pr,
     139Hogram again to select another password.)
      GO TO 5
 6000 CONTINUE
      WRITE(ITTY,6001)
 6001 FORMAT(42H You will now be asked what you want the p,
     139Hrogram to do.  You are asked this  each/7H time  ,
     249Hthe  program  completes  what you last asked it t,
     325Ho do.  If you do not know/20H what options are av,
     449Hailable, then you should press the ? key and the ,
     511HRETURN key.//33H You will probably want to start ,
     648Hby specifying some  of  the  text  which  is  to/
     749H appear  in  the  resume.   To  do so, you respon,
     832Hd to the "What next?" request by)
      WRITE(ITTY,6002)
 6002 FORMAT(42H typing the word CREATE.  You will then be,
     139H asked  to  specify  the  name  of  the/7H sectio,
     249Hn.   A typical section name would be EDUCATION or,
     325H WORK EXPERIENCE, but you/20H can choose any you ,
     449Hwant.  Use capital  letters  only  where  you  wa,
     512Hnt  them  to/33H appear.  The section name will a,
     648Hppear at the upper left corner of the section in/
     749H dark lettering and will also be the name by whic,
     832Hh you subsequently refer to  the)
      WRITE(ITTY,6003)
 6003 FORMAT(42H section if you want to modify the name or,
     125H contents of the section.//19H After you have sel,
     249Hected the CREATE option and named  the  section, ,
     313H the  program/32H will  display a ? to indicate t,
     449Hhat you should type a line of text which is to be/
     549H inserted into the section.  If you do not know h,
     632How the program  expects  you  to/13H indicate  su,
     749Hb-section  names, or the starts of lines which ar,
     819He not to be wrapped)
      WRITE(ITTY,6004)
 6004 FORMAT(42H around, or words which are to be either d,
     139Harkened or underlined, then you  should/7H here  ,
     249Halso  press the ? key and the RETURN key.  The pr,
     325Hogram will accept as many/20H lines as you want t,
     449Ho place into the section.  When you  have  finish,
     512Hed  entering/33H text  into  the  section, merely,
     648H press the RETURN key again without having typed/
     749H anything else before it to return to the "What n,
     814Hext?" request.)
      IF(IVIDEO.LT.0)GO TO 6005
      WRITE(ITTY,1)
      CALL GETLIN(ITTY,LTRBFR,LMTBFR,MAXBFR)
      IF(MAXBFR.GT.0)GO TO 6
      IF(IVIDEO.GT.0)CALL RSMWIP(ITTY)
 6005 CONTINUE
      GO TO 5
 6100 CONTINUE
      WRITE(ITTY,6101)
 6101 FORMAT(36H Type one of the following commands:/3H YE,
     149HS if you specified the correct password and you r,
     228Heally do want to start a new/5X,6Hresume/6H  NO i,
     349Hf you started your resume earlier but you specifi,
     425Hed the wrong password now)
      GO TO 5
 6200 CONTINUE
      WRITE(ITTY,6201)
 6201 FORMAT(42H Type the number of the class containing t,
     135Hhe students whose resumes are to be/7H edited/1H ,
     219Hor type -1 to exit.)
      GO TO 5
 6300 CONTINUE
      WRITE(ITTY,6301)
 6301 FORMAT(36H Type one of the following commands:/3H AT,
     149HTACHED  If the text which has just been found and,
     224H the text which is to be/11X,17Hinserted are to b,
     349He attached together rather than separated by a sp,
     44Hace./42H SEPARATED If the text which has just been,
     534H found and the text which is to be/11X,8Hinserted,
     649H are to be separated by a space rather than attac,
     713Hhed together.)
      GO TO 5
C
C     RETURN TO CALLING PROGRAM
    5 WRITE(ITTY,3)
    6 RETURN
      END
